Subject: [PATCH 1/2] ASoC: rockchip: Add machine driver for max98090 codec

From: [email-masked] (Jiang Liu)
Date: Thu, 16 Jul 2015 23:25:18 +0800

On 2015/7/16 22:19, Paul Bolle wrote:
> Hi,
> 
> On do, 2015-07-16 at 19:59 +0800, zhengxing wrote:
>> I mean that the use of MODALIAS() in this patch, and I refered to
>> tegra_max98090.c(have been upstreamed) that used it like this also. So
>> I didn't care the using.
> 
> And I think the same problem with MODULE_ALIAS() can be found in that
> driver. Ie, where does the platform device that has a "tegra-snd
> -max98090" .name hide? (See the reply I just sent to mark for more
> details.)
May be that is hidden in some device tree files.
MODULE_ALIAS() is used by a driver to announce that it supports
such types of devices. And bus enumerator will create those
devices by probing hardware or parsing some configuration files.
Thanks!
Gerry